PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
LPCOMP_Type Struct Reference

## Description

Low Power Comparators (LPCOMP)

## Data Fields
__IOM uint32_t | CONFIG
__IM uint32_t | STATUS
__IM uint32_t | RESERVED [2]
__IOM uint32_t | INTR
__IOM uint32_t | INTR_SET
__IOM uint32_t | INTR_MASK
__IM uint32_t | INTR_MASKED
__IM uint32_t | RESERVED1 [8]
__IOM uint32_t | CMP0_CTRL
__IM uint32_t | RESERVED2 [3]
__IOM uint32_t | CMP0_SW
__IOM uint32_t | CMP0_SW_CLEAR
__IM uint32_t | RESERVED3 [10]
__IOM uint32_t | CMP1_CTRL
__IM uint32_t | RESERVED4 [3]
__IOM uint32_t | CMP1_SW
__IOM uint32_t | CMP1_SW_CLEAR
__IOM uint32_t | CMP0_OFFSET_TRIM
__IOM uint32_t | CMP1_OFFSET_TRIM

## Field Documentation

## ◆ CONFIG

__IOM uint32_t LPCOMP_Type::CONFIG

0x00000000 LPCOMP Configuration Register

## ◆ STATUS

__IM uint32_t LPCOMP_Type::STATUS

0x00000004 LPCOMP Status Register

## ◆ RESERVED

__IM uint32_t LPCOMP_Type::RESERVED[2]

## ◆ INTR

__IOM uint32_t LPCOMP_Type::INTR

0x00000010 LPCOMP Interrupt request register

## ◆ INTR_SET

__IOM uint32_t LPCOMP_Type::INTR_SET

0x00000014 LPCOMP Interrupt set register

## ◆ INTR_MASK

__IOM uint32_t LPCOMP_Type::INTR_MASK

0x00000018 LPCOMP Interrupt request mask

## ◆ INTR_MASKED

__IM uint32_t LPCOMP_Type::INTR_MASKED

0x0000001C LPCOMP Interrupt request masked

## ◆ RESERVED1

__IM uint32_t LPCOMP_Type::RESERVED1[8]

## ◆ CMP0_CTRL

__IOM uint32_t LPCOMP_Type::CMP0_CTRL

0x00000040 Comparator 0 control Register

## ◆ RESERVED2

__IM uint32_t LPCOMP_Type::RESERVED2[3]

## ◆ CMP0_SW

__IOM uint32_t LPCOMP_Type::CMP0_SW

0x00000050 Comparator 0 switch control

## ◆ CMP0_SW_CLEAR

__IOM uint32_t LPCOMP_Type::CMP0_SW_CLEAR

0x00000054 Comparator 0 switch control clear

## ◆ RESERVED3

__IM uint32_t LPCOMP_Type::RESERVED3[10]

## ◆ CMP1_CTRL

__IOM uint32_t LPCOMP_Type::CMP1_CTRL

0x00000080 Comparator 1 control Register

## ◆ RESERVED4

__IM uint32_t LPCOMP_Type::RESERVED4[3]

## ◆ CMP1_SW

__IOM uint32_t LPCOMP_Type::CMP1_SW

0x00000090 Comparator 1 switch control

## ◆ CMP1_SW_CLEAR

__IOM uint32_t LPCOMP_Type::CMP1_SW_CLEAR

0x00000094 Comparator 1 switch control clear

## ◆ CMP0_OFFSET_TRIM

__IOM uint32_t LPCOMP_Type::CMP0_OFFSET_TRIM

0x00000098 Comparator 0 offset trim register

## ◆ CMP1_OFFSET_TRIM

__IOM uint32_t LPCOMP_Type::CMP1_OFFSET_TRIM

0x0000009C Comparator 1 offset trim register